import java.io.File;
import java.io.FileNotFoundException;
import java.util.Scanner;

public class Main {

    private static void getFirstLine(Equation eq, String[] elements) {
        // Première ligne différente
        eq.setSens(elements[0]);
        StringBuilder funcObj = new StringBuilder();
        for (int i = 1; i < elements.length; i++)
            if(i == elements.length - 1)
                funcObj.append(elements[i]);
            else
                funcObj.append(elements[i]).append(", ");

        eq.setFuncObj(String.valueOf(funcObj));
    }

    private static void newSC(Equation eq, String[] elements) {
        StringBuilder str = new StringBuilder();
        for (int i = 0; i < elements.length; i++ ) {
            if(i == elements.length - 1)
                str.append(elements[i]);
            else
                str.append(elements[i]).append(", ");
        }
        eq.setSc(String.valueOf(str));
    }

    public static void main(String[] args) {
        try {
            File f = new File("src/input.txt");
            Scanner sc = new Scanner(f);
            String[] elements;
            Equation eq = new Equation();

            // Première ligne différente
            String firstLine = sc.nextLine();
            elements = firstLine.split(";");
            getFirstLine(eq, elements);

            // Le reste
            while (sc.hasNextLine()) {
                String tmp = sc.nextLine();
                elements = tmp.split(";");
                newSC(eq, elements);
            }
            eq.printEq();
            sc.close();
        } catch (FileNotFoundException e) {
            throw new RuntimeException(e);
        }
    }
}
